Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Contributor
Posts: 14
Registered: ‎11-11-2011
My Device: Playbook
My Carrier: ?

Package ID is required for all .bar file

The first .bar I submitted was rejected after a day because it was not signed. When I upload a new (signed) .bar with the web-interface, I get this error:

File bundle (PewPew[1].bar) has been rejected. Package ID is required for all .bar file. If this is an upgrade, Package ID must match Package ID in original file bundle.

 

However, the running the command blackberry-nativepackager -listManifest PewPew.bar on the said .bar returns:

 

Archive-Manifest-Version: 1.1
Archive-Created-By: BlackBerry Tablet OS Elf BAR Packager 1.3.1

...lots of stuff...
Package-Author-Id: gYAAgPqb4i9DBQ-DjR0zWsAWK8s

Package-Id: gYABgL-_SLoMrXM23_cyKl-7w54
Package-Version-Id: gYACgHvNUv2g5eisScf2nZl7W_g

...more stuff...

 

What should I do?

Contributor
Posts: 14
Registered: ‎11-11-2011
My Device: Playbook
My Carrier: ?

Re: Package ID is required for all .bar file

I can submit my .bar if I create a new product. That means that my .bar is not the problem, and that the portal considers my .bar to be an upgrade to the rejected .bar. That is obviously a problem. I really don't want to create a new application with a different name.
New Contributor
Posts: 3
Registered: ‎12-02-2011
My Device: playbook
My Carrier: chinanet

Re: Package ID is required for all .bar file

I also encountered this problem
The first bar forgotten with signature
I had wanted to upgrade to add a bar but has been reported that the same error andyou
I only have to re-create a product
To know the answer!